Loading...
Searching...
No Matches
XrdEcUtilities.hh File Reference
`#include "XrdEc/XrdEcObjCfg.hh"`
`#include "XrdCl/XrdClXRootDResponses.hh"`
`#include "XrdCl/XrdClFileSystem.hh"`
`#include "XrdCl/XrdClUtils.hh"`
`#include <exception>`
`#include <memory>`
`#include <random>`
`#include <queue>`
`#include <mutex>`
`#include <condition_variable>`
Include dependency graph for XrdEcUtilities.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdEc::IOError
| Generic I/O exception, wraps up XrdCl::XRootDStatus (. More...
struct | XrdEc::stripe_t
| A buffer with stripe data and info on validity. More...
struct | XrdEc::sync_queue< Element >
struct | XrdEc::sync_queue< Element >::wait_interrupted

## Namespaces

namespace | XrdEc

## Typedefs

typedef std::vector< stripe_t > | XrdEc::stripes_t
| All stripes in a block.

## Functions

static size_t | XrdEc::fntoblk (const std::string &fn)
void | XrdEc::ScheduleHandler (uint64_t offset, uint32_t size, void *buffer, XrdCl::ResponseHandler *handler)
void | XrdEc::ScheduleHandler (XrdCl::ResponseHandler *handler, const XrdCl::XRootDStatus &st)

## Class Documentation

## XrdEc::sync_queue::wait_interrupted

struct XrdEc::sync_queue::wait_interrupted

template<typename Element>
struct XrdEc::sync_queue< Element >::wait_interrupted

Definition at line 173 of file XrdEcUtilities.hh.

Collaboration diagram for XrdEc::sync_queue< Element >::wait_interrupted: